commit:     c217437870cae9ef5665d6f9086ad87a7abce120
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 15 07:32:38 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Aug 15 07:58:41 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2174378

net-misc/ntp: Bump to version 4.2.8_p12

Package-Manager: Portage-2.3.46, Repoman-2.3.10

 net-misc/ntp/Manifest             |   2 +
 net-misc/ntp/ntp-4.2.8_p12.ebuild | 145 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 147 insertions(+)

diff --git a/net-misc/ntp/Manifest b/net-misc/ntp/Manifest
index b37396938d3..50ab95c1356 100644
--- a/net-misc/ntp/Manifest
+++ b/net-misc/ntp/Manifest
@@ -1,2 +1,4 @@
 DIST ntp-4.2.8p11-manpages.tar.xz 25700 BLAKE2B 
8efff006297925e4dfe57abfb8130d0dcb69e804744a597ad92b9969019b87c7b3e44f032187073d3c19092ca92445ce06b93f89f449430fd21cc540f11f5f3b
 SHA512 
403bc238681abaadc838f5a6619851dcd0cfa5bf780e8aeaa94e8f77e776998d1f5142d65e3fa99c23e22e4cb7207d24b059fbbc6ddcf4414f0076a4b6ab4e81
 DIST ntp-4.2.8p11.tar.gz 7076566 BLAKE2B 
e81ce2093ea7307a565089bba9cb267be64c71499872272cda221d7356676762a23ac1066ddfed7fb803083dbb9b26ca7376ea75277a63ee8de1c70409e81432
 SHA512 
05ac60f15a6aac50aaf340d40e4e439a421fa6e3d897bf30a69b2cef0cc97f8a6956012bfc6ceba055f4c3485a24f7fb8ebbd055e1875f1c69cbfdc35e71f236
+DIST ntp-4.2.8p12-manpages.tar.xz 25700 BLAKE2B 
0a84908556e997bdd08a78cd04f7f38a32a8441138f31d0adf7fefc380da79e509bea4a8bc67154501e359638f4edcab561d14cbdd1d573473bd2ea5a14f0c48
 SHA512 
e6df0099b9f62db63d200702267276ee094e8d00b20a67d2181f3f32fe6b871c49ac2eedbc2186b3255c919820c05eac528718b80afe7ed7ed7654b55c361f7c
+DIST ntp-4.2.8p12.tar.gz 7079642 BLAKE2B 
d7d7817afaf9f94bf230951901b7531aff03c0828eecd40ca6fcc836ffd081387837afee44978742b507a9bee58788022fe9556733e8861dcc37d63f5637b3d1
 SHA512 
5382dcd1bb7feca8f28fc650f68892cb53f9364ebeb3780754cfbe71b1602057fdfd6eb27956afe79014a435624d77e2648d9e07f4d86ce7a98f5a4438d08310

diff --git a/net-misc/ntp/ntp-4.2.8_p12.ebuild 
b/net-misc/ntp/ntp-4.2.8_p12.ebuild
new file mode 100644
index 00000000000..179de05fc60
--- /dev/null
+++ b/net-misc/ntp/ntp-4.2.8_p12.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools toolchain-funcs flag-o-matic user systemd
+
+MY_P=${P/_p/p}
+DESCRIPTION="Network Time Protocol suite/programs"
+HOMEPAGE="http://www.ntp.org/";
+SRC_URI="http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-${PV:0:3}/${MY_P}.tar.gz
+       https://dev.gentoo.org/~polynomial-c/${MY_P}-manpages.tar.xz";
+
+LICENSE="HPND BSD ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~m68k-mint"
+IUSE="caps debug ipv6 libressl openntpd parse-clocks readline samba selinux 
snmp ssl +threads vim-syntax zeroconf"
+
+CDEPEND="readline? ( >=sys-libs/readline-4.1:0= )
+       >=dev-libs/libevent-2.0.9:=[threads?]
+       kernel_linux? ( caps? ( sys-libs/libcap ) )
+       zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+       snmp? ( net-analyzer/net-snmp )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl )
+       )
+       parse-clocks? ( net-misc/pps-tools )"
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-ntp )
+       vim-syntax? ( app-vim/ntp-syntax )
+       !net-misc/ntpsec
+       !openntpd? ( !net-misc/openntpd )
+"
+PDEPEND="openntpd? ( net-misc/openntpd )"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.2.8-ipc-caps.patch #533966
+       "${FILESDIR}"/${PN}-4.2.8-sntp-test-pthreads.patch #563922
+       "${FILESDIR}"/${PN}-4.2.8_p10-fix-build-wo-ssl-or-libressl.patch
+)
+
+pkg_setup() {
+       enewgroup ntp 123
+       enewuser ntp 123 -1 /dev/null ntp
+}
+
+src_prepare() {
+       default
+       append-cppflags -D_GNU_SOURCE #264109
+       # Make sure every build uses the same install layout. #539092
+       find sntp/loc/ -type f '!' -name legacy -delete || die
+       eautoreconf #622754
+       # Disable pointless checks.
+       touch .checkChangeLog .gcc-warning FRC.html html/.datecheck
+}
+
+src_configure() {
+       # avoid libmd5/libelf
+       export ac_cv_search_MD5Init=no ac_cv_header_md5_h=no
+       export ac_cv_lib_elf_nlist=no
+       # blah, no real configure options #176333
+       export ac_cv_header_dns_sd_h=$(usex zeroconf)
+       export ac_cv_lib_dns_sd_DNSServiceRegister=${ac_cv_header_dns_sd_h}
+       # Increase the default memlimit from 32MiB to 128MiB.  #533232
+       local myeconfargs=(
+               --with-lineeditlibs=readline,edit,editline
+               --with-yielding-select
+               --disable-local-libevent
+               --docdir='$(datarootdir)'/doc/${PF}
+               --htmldir='$(docdir)/html'
+               --with-memlock=256
+               $(use_enable caps linuxcaps)
+               $(use_enable parse-clocks)
+               $(use_enable ipv6)
+               $(use_enable debug debugging)
+               $(use_with readline lineeditlibs readline)
+               $(use_enable samba ntp-signd)
+               $(use_with snmp ntpsnmpd)
+               $(use_with ssl crypto)
+               $(use_enable threads thread-support)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       # move ntpd/ntpdate to sbin #66671
+       dodir /usr/sbin
+       mv "${ED%/}"/usr/bin/{ntpd,ntpdate} "${ED%/}"/usr/sbin/ || die "move to 
sbin"
+
+       dodoc INSTALL WHERE-TO-START
+       doman "${WORKDIR}"/man/*.[58]
+
+       insinto /etc
+       doins "${FILESDIR}"/ntp.conf
+       use ipv6 || sed -i '/^restrict .*::1/d' "${ED%/}"/etc/ntp.conf #524726
+       newinitd "${FILESDIR}"/ntpd.rc-r1 ntpd
+       newconfd "${FILESDIR}"/ntpd.confd ntpd
+       newinitd "${FILESDIR}"/ntp-client.rc ntp-client
+       newconfd "${FILESDIR}"/ntp-client.confd ntp-client
+       newinitd "${FILESDIR}"/sntp.rc sntp
+       newconfd "${FILESDIR}"/sntp.confd sntp
+       if ! use caps ; then
+               sed -i "s|-u ntp:ntp||" "${ED%/}"/etc/conf.d/ntpd || die
+       fi
+       sed -i "s:/usr/bin:/usr/sbin:" "${ED%/}"/etc/init.d/ntpd || die
+
+       keepdir /var/lib/ntp
+       use prefix || fowners ntp:ntp /var/lib/ntp
+
+       if use openntpd ; then
+               cd "${ED}" || die
+               rm usr/sbin/ntpd || die
+               rm -r var/lib || die
+               rm etc/{conf,init}.d/ntpd || die
+               rm usr/share/man/*/ntpd.8 || die
+       else
+               systemd_newunit "${FILESDIR}"/ntpd.service-r2 ntpd.service
+               if use caps ; then
+                       sed -i '/ExecStart/ s|$| -u ntp:ntp|' \
+                               
"${D%/}$(systemd_get_systemunitdir)"/ntpd.service \
+                               || die
+               fi
+               systemd_enable_ntpunit 60-ntpd ntpd.service
+       fi
+
+       systemd_newunit "${FILESDIR}"/ntpdate.service-r1 ntpdate.service
+       systemd_install_serviced "${FILESDIR}"/ntpdate.service.conf
+       systemd_newunit "${FILESDIR}"/sntp.service-r2 sntp.service
+       systemd_install_serviced "${FILESDIR}"/sntp.service.conf
+}
+
+pkg_postinst() {
+       if grep -qs '^[^#].*notrust' "${EROOT}"/etc/ntp.conf ; then
+               eerror "The notrust option was found in your /etc/ntp.conf!"
+               ewarn "If your ntpd starts sending out weird responses,"
+               ewarn "then make sure you have keys properly setup and see"
+               ewarn "https://bugs.gentoo.org/41827";
+       fi
+}

Reply via email to